Sisimai::Reason::ContentError(3pm)

NAME
Sisimai::Reason::ContentError - Bounce reason is "contenterror" or not.

SYNOPSIS
    use Sisimai::Reason::ContentError;
    print Sisimai::Reason::ContentError->match('550 Message Filterd'); # 1

DESCRIPTION
Sisimai::Reason::ContentError checks the bounce reason is "contenterror" or not. This class is called only Sisimai::Reason class.

This is the error that a destination mail server has rejected email due to header format of the email like the following. Sisimai will set "contenterror" to the reason of email bounce if the value of Status: field in a bounce email is "5.6.*".

- 8 bit data in message header
- Too many XReceivedX headers
- Invalid MIME headers

    ... while talking to g5.example.net.:
    >>> DATA
    <<< 550 5.6.9 improper use of 8-bit data in message header
    554 5.0.0 Service unavailable

CLASS METHODS

  "text()"
"text()" returns string: "contenterror".

    print Sisimai::Reason::ContentError->text;  # contenterror

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::ContentError->match('550 Message Filterd'); # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "contenterror". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.